reportRoot: getCredentialUserRegistrationCount
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
报告组织中注册自助服务密码重置的用户数和 MFA (多重身份验证) 状态。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Reports.Read.All
委派(个人 Microsoft 帐户)
不支持。
应用
Reports.Read.All
HTTP 请求
GET /reports/getCredentialUserRegistrationCount
名称
说明
Authorization
持有者 {token}
Content-Type
application/json
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和新 credentialUserRegistrationCount 集合对象。
示例
以下示例演示如何调用此 API。
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/reports/getCredentialUserRegistrationCount
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var getCredentialUserRegistrationCount = await graphClient.Reports
.GetCredentialUserRegistrationCount()
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let getCredentialUserRegistrationCount = await client.api('/reports/getCredentialUserRegistrationCount')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/reports/getCredentialUserRegistrationCount"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphCredentialUserRegistrationCount *credentialUserRegistrationCount = [[MSGraphCredentialUserRegistrationCount alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
ReportRootGetCredentialUserRegistrationCountCollectionPage getCredentialUserRegistrationCount = graphClient.reports()
.getCredentialUserRegistrationCount()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.Reports().GetCredentialUserRegistrationCount()().Get()
Import-Module Microsoft.Graph.Reports
Get-MgReportCredentialUserRegistrationCount
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。 所有属性都从实际调用中返回。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context":"https://graph.microsoft.com/beta/reports/$metadata#Collection(microsoft.graph.credentialUserRegistrationCount)",
"value": [
{
"id" : "id-value",
"totalUserCount" : 23123,
"userRegistrationCounts" :
[
{ "userRegistrationStatus":"registered",
"userRegistationCount": 23423 }
]
}
]
}